Announcement Schedules

Create an announcement schedule

POST
https://api.tunio.ai/v1/announcements/schedules

Create a new schedule for an announcement

请求体

Schedule data

名称类型说明
announcement_idRequiredstring
Announcement is the UUID of the announcement to schedule.
intervalRequiredinteger
Interval is the repeat period in minutes.
stream_idRequiredstring
Stream is the UUID of the stream that will play the announcement.
请求示例
01{
02 "announcement_id": "123e4567-e89b-12d3-a456-426614174000",
03 "interval": 60,
04 "stream_id": "456e7890-e89b-12d3-a456-426614174000"
05}

响应

名称类型说明
scheduleobject
Schedule returns the created schedule details.
announcementobject
Announcement contains announcement meta referenced by the schedule.
intervalinteger
Interval is the repeat period in minutes.
schedule_idstring
UUID uniquely identifies the schedule entry.
streamobject
Stream describes the stream where announcement is played.
successboolean
Success indicates the schedule was created.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.